Diagram Pictures
Take a diagram picture for a given asset and diagram view. A diagram picture is a copy of traceability diagram (result diagram) at a given time (for more information on traceability diagram check DGC User Guide).
The motivation behind diagram picture is to be able to reopen them at a later point in time and be able to see them them exactly as they were created. This feature is not possible for result diagram which are always showing the current situation.
The ID of the Asset for which the picture should be taken.
The ID of the View for which the picture should be taken.
Diagram picture successfully added.The response contains a UUID of the added diagram picture. The UUID can be used to compose an URL to retrive the diagram picture.
POST /rest/2.0/diagramPictures HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 98
{
"assetId": "123e4567-e89b-12d3-a456-426614174000",
"viewId": "123e4567-e89b-12d3-a456-426614174000"
}Diagram picture successfully added.The response contains a UUID of the added diagram picture. The UUID can be used to compose an URL to retrive the diagram picture.
123e4567-e89b-12d3-a456-426614174000Last updated
Was this helpful?